
.property .icon {
  align-items: center;
  display: flex;
  justify-content: center;
  color: #FFFFFF;
}

.property .details {
  display: none;
  flex-direction: column;
  flex: 1;
}

.property .grupo {
  color: #9E9E9E;
  font-size: 10px;
  margin-bottom: 10px;
  margin-top: 5px;
}

.property .features {
  align-items: flex-end;
  display: flex;
  flex-direction: row;
  gap: 10px;
}

.property .features > div {
  align-items: center;
  background: #F5F5F5;
  border-radius: 5px;
  border: 1px solid #ccc;
  display: flex;
  font-size: 10px;
  gap: 5px;
  padding: 5px;
}

/*
 * Property styles in highlighted state.
 */
.property.highlight {
  background-color: #FFFFFF;
  border-radius: 8px;
  box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
  height: 130px;
  padding: 8px 15px;
  width: auto;
}

.property.highlight::after {
  border-top: 9px solid #FFFFFF;
}

.property.highlight .details {
  display: flex;
}

.property.highlight .icon svg {
  width: 50px;
  height: 50px;
}

.property .question {
  color: var(--indeterminado-color);
}

.property .store-alt {
  color: var(--revenda-color);
}

.property .house {
  color: var(--consumidor-color);
}

/* Verde */
i.Verde {
  color: #28a745 !important;
  background: none !important;
}

/* Vermelho */
i.Vermelho {
  color: #dc3545 !important;
  background: none !important;
}

/* Amarelo */
i.Amarelo {
  color: #ffeb3b !important; /* Mais visível que "yellow" puro */
  background: none !important;
}

/* Laranja */
i.Laranja {
  color: orange !important;
  background: none !important;
}

/* Azul */
i.Azul {
  color: #007bff !important;
  background: none !important;
}

/* Branco */
i.Branco {
  color: #9b9b9b !important;
  background: none !important;
}

i.Preto{ 
  color: black !important; 
  background-color: none !important; 
}




.custom-marker {
    display: flex;
    align-items: center;
    justify-content: center;
    
    height: 40px;
    width: 40px;
    
    background-color: white;
    border-radius: 50%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.4);
    
    border-width: 2px;
    border-style: solid;
    
    cursor: pointer;
    overflow: hidden;

    transition: all 0.3s ease;
}

.marker-summary {
    display: flex;
    align-items: center;
    width: 100%;
    gap: 10px;
    justify-content: center; 
}

.marker-summary .icon {
    font-size: 24px;
    padding-left: 10px;
    padding-bottom: 10px;
    
}

.summary-text {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    line-height: 1.2;
    
    opacity: 0;
    width: 0;
    white-space: nowrap;
    transition: width 0.2s ease, opacity 0.2s ease;
}

.summary-text .type {
    font-size: 11px;
    font-weight: normal;
    text-transform: capitalize;
    color: #666;
}
.summary-text .driver-name {
    font-size: 14px;
    font-weight: bold;
    color: #000;
}


.custom-marker:hover,
.custom-marker.expanded {
    width: 220px;
    border-radius: 25px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    padding: 5px 15px;
}

.custom-marker:hover .marker-summary,
.custom-marker.expanded .marker-summary {
    justify-content: flex-start; 
}

.custom-marker:hover .summary-text,
.custom-marker.expanded .summary-text {
    opacity: 1;
    width: auto;
    margin-left: 5px;
}

.custom-marker.expanded {
    height: auto; 
    flex-direction: column; 
    align-items: flex-start; 
}

.marker-details {
    width: 100%;
    border-top: 1px solid #eee;
    margin-top: 8px;
    padding-top: 8px;
    
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition: max-height 0.3s ease, opacity 0.3s ease, margin-top 0.3s ease;
}

.custom-marker.expanded .marker-details {
    max-height: 100px;
    opacity: 1;
}

.marker-details p {
    margin: 4px 0;
    font-size: 12px;
    font-weight: normal;
    color: #333;
}

.custom-marker.car {
    background-color: #e6ffe6;
    border-color: #4CAF50;
}

.custom-marker.car.Ligado {
    background-color: #e6ffe6;
    border-color: #4CAF50;
}

.custom-marker.car.Desligado {
    background-color: #e6ffe6;
    border-color: #af4c4c;
}

.custom-marker.truck.Ligado {
    background-color: #fff3e0;
    border-color: #FF9800;
}


.custom-marker.truck.Desligado {
    background-color: #fff3e0;
    border-color: #ff0000;
}